Bug 712659 - (yi) Review Request: yi - An extensible text editor written in Haskell
Review Request: yi - An extensible text editor written in Haskell
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
notready
:
Depends On: ghc-vty 630302 ghc-data-accessor ghc-Diff ghc-fingertree ghc-cautious-file 703152 ghc-dyre ghc-unix-compat ghc-pointedlist 712284 712404 ghc-hashable 751609 756386 855588 ghc-pureMD5
Blocks: Haskell-pkg-reviews
  Show dependency treegraph
 
Reported: 2011-06-12 04:30 EDT by Narasimhan
Modified: 2013-09-10 00:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 06:25:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Narasimhan 2011-06-12 05:13:23 EDT
Spec file : http://narasim.fedorapeople.org/package_reviews/yi.spec

SRPM file :
http://narasim.fedorapeople.org/package_reviews/yi-0.6.3.0-2.fc14.src.rpm

rpmlint output:
yi.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

yi.src: W: name-repeated-in-summary C yi
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

yi.src: W: spelling-error %description -l en_US haskell -> Gaskell, Gaitskell,
skellum
The value of this tag appears to be misspelled. Please double-check.

yi.i686: E: devel-dependency ghc-yi-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

yi.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell,
Skellum
The value of this tag appears to be misspelled. Please double-check.

yi.i686: W: name-repeated-in-summary C yi
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

yi.i686: W: spelling-error %description -l en_US haskell -> Gaskell, Gaitskell,
skellum
The value of this tag appears to be misspelled. Please double-check.

yi.i686: E: incorrect-fsf-address /usr/share/doc/yi-0.6.3.0/LICENSE
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

yi.i686: W: no-manual-page-for-binary yi
Each executable in standard binary directories should have a man page.

ghc-yi.i686: W: spelling-error %description -l en_US haskell -> Gaskell,
Gaitskell, skellum
The value of this tag appears to be misspelled. Please double-check.

vi yghc-yi.i686: E: incorrect-fsf-address /usr/share/doc/yi-0.6.3.0/LICENSE
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

ighc-yi-devel.i686: W: spelling-error %description -l en_US haskell -> Gaskell,
Gaitskell, skellum
The value of this tag appears to be misspelled. Please double-check.

.spec
ghc-yi-prof.i686: E: devel-dependency ghc-yi-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-yi-prof.i686: W: spelling-error %description -l en_US haskell -> Gaskell,
Gaitskell, skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-yi-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

5 packages and 1 specfiles checked; 4 errors, 11 warnings.
Comment 2 Narasimhan 2011-06-18 01:19:53 EDT
Two things need fixing.
1) Sending an email to upstream regarding FSF address change.
2) Using cabal_configure_opts to pass flags. Currently, I am overriding the ghc_lib_build macro with its expansion and passing the flags. Although this works, the better approach is to use cabal_configure_opts.

I will work on the above while the dependencies of this package are being reviewed.
Comment 3 Jens Petersen 2011-09-21 11:32:19 EDT
I am afraid 0.6.4 also has some new additional dependencies.
Comment 4 Narasimhan 2011-09-22 09:06:57 EDT
Ok, I will have a look at it and update the spec file.

Thanks.
Comment 5 Jens Petersen 2013-06-24 06:25:27 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.